- name: ubuntu
  title: Ubuntu
  subtitle: 16.04 LTS, 18.04 LTS
  icon: /images/logos/ubuntu-logo.svg
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.deb.sh | sudo bash
  install_command: sudo apt-get update && sudo apt-get install gitlab-ee
  install_commands_manual: dpkg -i gitlab-ee-XXX.deb
  remove_ce_repository: sudo rm /etc/apt/sources.list.d/gitlab_gitlab-ce.list

- name: debian
  title: Debian
  subtitle: 8, 9
  icon: /images/logos/debian-logo.svg
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.deb.sh | sudo bash
  install_command: sudo apt-get update && sudo apt-get install gitlab-ee
  install_commands_manual: dpkg -i gitlab-ee-XXX.deb
  remove_ce_repository: sudo rm /etc/apt/sources.list.d/gitlab_gitlab-ce.list

- name: centos6
  title: CentOS 6
  subtitle: and RHEL, Oracle, Scientific
  icon: /images/logos/centos-logo.svg
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_command: sudo yum install gitlab-ee -y
  install_commands_manual: rpm -i gitlab-ee-XXX.rpm
  remove_ce_repository: sudo rm /etc/yum.repos.d/gitlab_gitlab-ce.repo

- name: centos7
  title: CentOS 7
  subtitle: and RHEL, Oracle, Scientific
  icon: /images/logos/centos-logo.svg
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_command: sudo yum install gitlab-ee -y
  install_commands_manual: rpm -i gitlab-ee-XXX.rpm
  remove_ce_repository: sudo rm /etc/yum.repos.d/gitlab_gitlab-ce.repo

- name: centos8
  title: CentOS 8
  subtitle: and RHEL
  icon: /images/logos/centos-logo.svg
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_command: sudo dnf install gitlab-ee -y
  install_commands_manual: rpm -i gitlab-ee-XXX.rpm
  remove_ce_repository: sudo rm /etc/yum.repos.d/gitlab_gitlab-ce.repo

- name: opensuse
  title: OpenSUSE Leap 15.1
  subtitle: and SUSE Linux Enterprise Server 12.2
  icon: /images/logos/opensuse-logo.svg
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_command: sudo zypper install gitlab-ee
  install_commands_manual: rpm -i gitlab-ee-XXX.rpm
  remove_ce_repository: sudo rm /etc/zypp/repos.d/gitlab_gitlab-ce.repo
